{ config, pkgs, lib, ... }:

{
  home.packages = with pkgs; [ any-nix-shell fishPlugins.tide fishPlugins.bass fishPlugins.fzf-fish ];

  programs.fish = {
    enable = true;

    shellAbbrs = {
      "_" = "sudo";
    };
    
    shellInit = ''
      # avoid macOS updates to destroy nix
#      if [ -e '/nix/var/nix/profiles/default/etc/profile.d/nix-daemon.sh' ]; then
#        source '/nix/var/nix/profiles/default/etc/profile.d/nix-daemon.sh'
#      end

      any-nix-shell fish --info-right | source
#      source ${pkgs.nix-index}/etc/profile.d/command-not-found.sh

      # disable autosuggestions
      set -g fish_autosuggestion_enabled 0
    '';
  };
}

